{*
/**
 * NOTICE OF LICENSE
 *
 * This file is licenced under the Software License Agreement.
 * With the purchase or the installation of the software in your application
 * you accept the licence agreement.
 *
 * You must not modify, adapt or create derivative works of this source code
 *
 *  @author    Jose Ivan Suazo <isuazo@pixel.hn>
 *  @copyright 2017-2022 Pixel S.A. de C.V.
 *  @license   https://opensource.org/licenses/Apache-2.0
 */
*}

<form action="https://{$endpoint|escape:'htmlall':'UTF-8'}/api/v2/transaction/hosted/prestashop" id="payment-form" method="post">
    <input type="hidden" name="_xCustomerId" value="{$key|escape:'htmlall':'UTF-8'}">
    <input type="hidden" name="_xBackValidate" value="{$action|escape:'htmlall':'UTF-8'}">
    <input type="hidden" name="_xBackCancel" value="{$cancel|escape:'htmlall':'UTF-8'}">
    <input type="hidden" name="_xOrder" value="{$order|escape:'htmlall':'UTF-8'}">
    <input type="hidden" name="_xOrderDate" value="{$date|escape:'htmlall':'UTF-8'}">
    <input type="hidden" name="_xCurrency" value="{$currency->iso_code|escape:'htmlall':'UTF-8'}">

    <input type="hidden" name="_xContent" value="{$items|escape:'htmlall':'UTF-8'}" id="itemsJSON">

    <input type="hidden" name="_xFirstName" value="{$customer->firstname|escape:'htmlall':'UTF-8'}">
    <input type="hidden" name="_xLastName" value="{$customer->lastname|escape:'htmlall':'UTF-8'}">
    <input type="hidden" name="_xEmail" value="{$customer->email|escape:'htmlall':'UTF-8'}">

    <input type="hidden" name="_xAddress" value="{$address->address1|escape:'htmlall':'UTF-8'}">
    <input type="hidden" name="_xAddressAlt" value="{$address->address2|escape:'htmlall':'UTF-8'}">
    <input type="hidden" name="_xPostCode" value="{$address->postcode|escape:'htmlall':'UTF-8'}">
    <input type="hidden" name="_xCity" value="{$address->city|escape:'htmlall':'UTF-8'}">
    <input type="hidden" name="_xState" value="{$state|escape:'htmlall':'UTF-8'}">
    <input type="hidden" name="_xCountry" value="{$address->country|escape:'htmlall':'UTF-8'}">

    <input type="hidden" name="_xShippingAmount" value="{$shipping|escape:'htmlall':'UTF-8'}">
    <input type="hidden" name="_xTaxAmount" value="{$tax|escape:'htmlall':'UTF-8'}">
    <input type="hidden" name="_xAmount" value="{$amount|escape:'htmlall':'UTF-8'}">
</form>
<script>
    (function() {
        var item = document.getElementById('itemsJSON');
        item.value = btoa(item.value)
    })();
</script>