{*
/**
 * NOTICE OF LICENSE
 *
 * This file is licenced under the Software License Agreement.
 * With the purchase or the installation of the software in your application
 * you accept the licence agreement.
 *
 * You must not modify, adapt or create derivative works of this source code
 *
 *  @author    Jose Ivan Suazo <isuazo@pixel.hn>
 *  @copyright 2017-2022 Pixel S.A. de C.V.
 *  @license   https://opensource.org/licenses/Apache-2.0
 */
*}
<style>
    .img-responsive {
        display: block;
        max-width: 100%;
        height: auto;
    }

    .info {
        display: flex;
        flex-direction: row;
        align-items: center;
        font-size: 12px
    }

    .info img {
        margin-right: 10px
    }

    .info p {
        flex: 1;
        font-size: 11px;
        margin: 0px;
    }

    .info p b {
        color: #4275F2
    }

    section {
        display: block;
        margin-bottom: 32px
    }

    section>hr {
        margin: 10px 0px !important;
        border: 0;
        border-top: 1px solid rgba(0, 0, 0, 0.1);
        box-sizing: content-box;
        height: 0;
    }
</style>

<section>
    <div class="info">
        <img src="{$pixelpayPath|escape:'htmlall':'UTF-8'}/views/img/icon.svg" width="50" height="50">
        <p>
            {l s='On the next page your payment is processed through' mod='pixelpayment'} <b>PixelPay</b>.<br>
            {l s='We do not store card data. The transaction is' mod='pixelpayment'}
            <b>{l s='encrypted and secure' mod='pixelpayment'}</b>.
        </p>
    </div>
    <hr>
    <img src="{$pixelpayPath|escape:'htmlall':'UTF-8'}/views/img/badge.png" alt="Pagos Seguros con PixelPay" height="45"
        width="480" class="img-responsive">
</section>